# Renderer - Grafik-AG

Programmed in the [Computergrafik-AG](https://fsinfo.cs.tu-dortmund.de/ags/cg-ag/start).

Following [Raytracing In One Weekend](https://raytracing.github.io/books/RayTracingInOneWeekend.html).

Some rendered images are in `images/`.

### Image after adding metal material for spheres
![RaytracingInOneWeekend](images/RayTracingInOneWeekend1.jpg)

### One of the final images from the guide
![RaytracingInOneWeekend](images/RayTracingInOneWeekend2.png)

### Upgraded with triangles and mesh importing
![Suzanne Rainbow](images/suzanne_rainbow.png)

***
### Performance analysis with Flamegraph
https://github.com/flamegraph-rs/flamegraph

If installed (`cargo install flamegraph`, `perf` linux package), run `cargo-flamegraph flamegraph` and `firefox flamegraph.svg` afterwards.
